//
//  QGFilterTemplate.h
//  YTest
//
//  Created by Matthew McCowan on 7/17/07.
//  Copyright 2007 Quickgigs, Inc. All rights reserved.
//

#import "QGFoundation.h"
#import "QGFilterInputTemplate.h"
//#import "QGFilterController.h"


@interface QGFilterTemplate : QGObject
{
	// Instance
	NSString     *name;
	NSDictionary *attributes;
	NSSet        *categories;
	NSArray      *inputs;
}
// Class
+ (NSArray *) sortedValidNonGeneratorTemplates;
+ (NSSet *) categoriesForValidNonGeneratorTemplates;
+ (NSArray *) sortedCategoriesForValidNonGeneratorTemplates;


// Initialization
- (id) initWithFilterName:(NSString *)filterName;
- (void) initCategories;


// Properties
- (NSString *) name;
- (NSString *) title;
- (BOOL) isGenerator;
- (BOOL) isNotGenerator;
- (BOOL) isComplete;
- (BOOL) isNotComplete;
- (NSSet *) categories;
- (NSArray *) inputs;


// Sorting
- (unsigned) hash;
- (BOOL) isEqual:(id)anObject;
- (NSComparisonResult) compare:(QGFilterTemplate *)filterTemplate;
- (NSComparisonResult) compareForDisplay:(QGFilterTemplate *)filterTemplate;

// Actions
//- (QGFilterController *) controllerForOwner:(id)owner;
- (NSArray *) filterInputControllersForOwner:(id)owner;

@end
