//
//  QGOrientationView.h
//  Quickgigs Immutation
//
//  Created by Matthew McCowan on 4/15/07.
//  Copyright 2007 Quickgigs, Inc.. All rights reserved.
//

#import "QGFoundation.h"
#import "QGImage.h"
#import "QGImageView.h"
#import "QGChainManager.h"
#import "QGImageCommons.h"

@interface QGOrientationView : QGImageView 
{
	// Outlet
	IBOutlet QGChainManager *chainManager;

	// Instance
	NSString            *help;
	NSFont              *helpFont;
	NSSize               helpSize;
	NSMutableDictionary *helpStyle;

	NSString            *watermark;
	NSFont              *watermarkFont;
	NSSize               watermarkSize;
	NSMutableDictionary *watermarkStyle;
	
	QGPreferences       *pref;
	BOOL                 needsWatermark;
}

// Initialization
- (void) setHelp:(NSString *)newHelp;
- (void) setWatermark:(NSString *)newImmutation;

// Drawing
- (void) drawHelp;
- (void) drawWatermarkInRect:(CGRect)bounds;

@end
